/*****************************************
 * Schieberegister
 *
 *****************************************/

int SER_Pin = 8;    //pin 14 des 75HC595
int RCLK_Pin = 9;   //pin 12 des 75HC595
int SRCLK_Pin = 10; //pin 11 des 75HC595

int TabellenWert;
boolean Schieberegister[8];

void setup(){
  pinMode(SER_Pin, OUTPUT);
  pinMode(RCLK_Pin, OUTPUT);
  pinMode(SRCLK_Pin, OUTPUT);
  
  Schieberegister_Aus();
  Schieberegister_Schreiben();
}               

// alle Pins ausschalten
void Schieberegister_Aus(){
  for(int i = 7; i >=  0; i--){
     Schieberegister[i] = LOW;
  }
} 

// Auf den Schieberegister schreiben
void Schieberegister_Schreiben(){
  digitalWrite(RCLK_Pin, LOW);
  for(int i = 7; i >=  0; i--){
    digitalWrite(SRCLK_Pin, LOW);
    TabellenWert = Schieberegister[i];
    digitalWrite(SER_Pin, TabellenWert);
    digitalWrite(SRCLK_Pin, HIGH);
  }
  digitalWrite(RCLK_Pin, HIGH);
}

// einen Wert des Schieberegisters setzen
void Schieberegisters_Wert_Zuweisen(int Nummer, int Wert){
  Schieberegister[Nummer] = Wert;
}


void loop(){
  Schieberegisters_Wert_Zuweisen(0, LOW);
  Schieberegisters_Wert_Zuweisen(1, LOW);
  Schieberegisters_Wert_Zuweisen(2, LOW);
  Schieberegisters_Wert_Zuweisen(3,  LOW);
  Schieberegisters_Wert_Zuweisen(4, HIGH);
  Schieberegisters_Wert_Zuweisen(5,  LOW);
  Schieberegisters_Wert_Zuweisen(6, LOW);
  Schieberegisters_Wert_Zuweisen(7,  LOW);

  Schieberegister_Schreiben();
}


